---
title: Firefox
description: Getting started with a PreMiD installation on Firefox
published: true
date: 2019-10-02T12:42:58.683Z
tags: 
---

The installation of the extension is very important as the application can not do anything by itself.

# Install
1. Go to our downloads page by [clicking here](https://premid.app/downloads).
2. Choose **Firefox**.
3. Search for ``about:addons``.
4. Click on the small gear icon in the upper right corner.
5. Choose **Install add-on from file**.
6. Select the file you downloaded recently.
7. Accept the installation by clicking on **Add**.

> Do not forget to [add the **application**](/install).
{.is-warning}

![](https://img.icons8.com/color/2x/firefox.png){.align-abstopright}